cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PMT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PMT

- All Implemented Interfaces:
    ISegment

      public class PMT
      extends Segment

  PMT - Payment Information Segment This segment contains information that describes a payment made by a Payer organization.

  Represents an HL7 PMT message segment. This segment has the following fields:

  PMT-1 : Payment/Remittance Advice Number (EI) Required
  PMT-2 : Payment/Remittance Effective Date/Time (DTM) Required
  PMT-3 : Payment/Remittance Expiration Date/Time (DTM) Required
  PMT-4 : Payment Method (CWE) Required
  PMT-5 : Payment/Remittance Date/Time (DTM) Required
  PMT-6 : Payment/Remittance Amount (CP) Required
  PMT-7 : Check Number (EI)Optional
  PMT-8 : Payee Bank Identification (XON)Optional
  PMT-9 : Payee Transit Number (ST)Optional
  PMT-10 : Payee Bank Account ID (CX)optional

  PMT-11 : Payment Organization (XON)Required
  PMT-12 : ESR-Code-Line (ST)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMT()` Constructs the PMT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EI` | `getCheckNumber()` Retrieve Check Number (EI) This field is Unique check number from the Payer's application system.
    `ST` | `getESR_Code_Line()` Retrieve ESR-Code-Line (ST) This field is about Invoice Reference used with electronic banking methods.
    `CX` | `getPayeeBankAccountID()` Retrieve Payee Bank Account ID (CX) Id of Payee's Bank account.
    `XON` | `getPayeeBankIdentification()` Retrieve Payee Bank Identification (XON) This field is about Identification of Payee's financial contact, e.g., name of the bank .
    `ST` | `getPayeeTransitNumber()` Retrieve Payee Transit Number (ST) This field is about Personal ID of the payee used in financial transaction.
    `CWE` | `getPaymentMethod()` retrieve Payment Method (CWE) This field is about Code identifying the method for the movement of payment.
    `XON` | `getPaymentOrganization()` Retrieve Payment Organization (XON) This field is about Organization identifier that made the Payment/Remittance Advice; could be a Payer, Insurance Company, TPA, Drug Company.
    `EI` | `getPaymentOrRemittanceAdviceNumber()` Retrieve Payment/Remittance Advice Number (EI) This field is Unique Payment/Remittance Advice number for the sending Network Application ID.
    `CP` | `getPaymentOrRemittanceAmount()` Retrieve Payment/Remittance Amount (CP) This field is about Sum total of all Product/Service Paid Amount on PSL for this Payment/Remittance Advice, net of any Adjustments to Payee.
    `DTM` | `getPaymentOrRemittanceDateOrTime()` Retrieve Payment/Remittance Date/Time (DTM) This field is about Date Payment/Remittance Advice was paid, which might not be the same as Date/Time of Message on MSH.
    `DTM` | `getPaymentOrRemittanceEffectiveDateOrTime()` Retrieve Payment/Remittance Effective Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
    `DTM` | `getPaymentOrRemittanceExpirationDateOrTime()` Retrieve Payment/Remittance Expiration Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
    `void` | `setCheckNumber(EI objCheckNumber)` Set Retrieve Check Number (EI) This field is Unique check number from the Payer's application system.
    `void` | `setCheckNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Check Number (EI) This field is Unique check number from the Payer's application system.
    `void` | `setESR_Code_Line(ST objESR_Code_Line)` Retrieve ESR-Code-Line (ST) This field is about Invoice Reference used with electronic banking methods.
    `void` | `setESR_Code_Line(java.lang.String strESR_Code_Line)` Retrieve ESR-Code-Line (ST) This field is about Invoice Reference used with electronic banking methods.
    `void` | `setPayeeBankAccountID(CX objPayeeBankAccountID)` Set Payee Bank Account ID (CX) Id of Payee's Bank account.
    `void` | `setPayeeBankAccountID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Payee Bank Account ID (CX) Id of Payee's Bank account.
    `void` | `setPayeeBankIdentification(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set Payee Bank Identification (XON) This field is about Identification of Payee's financial contact, e.g., name of the bank .
    `void` | `setPayeeBankIdentification(XON objPayeeBankIdentification)` Set Payee Bank Identification (XON) This field is about Identification of Payee's financial contact, e.g., name of the bank .
    `void` | `setPayeeTransitNumber(ST objPayeeTransitNumber)` Retrieve Payee Transit Number (ST) This field is about Personal ID of the payee used in financial transaction.
    `void` | `setPayeeTransitNumber(java.lang.String strPayeeTransitNumber)` Retrieve Payee Transit Number (ST) This field is about Personal ID of the payee used in financial transaction.
    `void` | `setPaymentMethod(CWE objPaymentMethod)` Set Payment Method (CWE) This field is about Code identifying the method for the movement of payment.
    `void` | `setPaymentMethod(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Payment Method (CWE) This field is about Code identifying the method for the movement of payment.
    `void` | `setPaymentOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set Payment Organization (XON) This field is about Organization identifier that made the Payment/Remittance Advice; could be a Payer, Insurance Company, TPA, Drug Company.
    `void` | `setPaymentOrganization(XON objPaymentOrganization)` Set Payment Organization (XON) This field is about Organization identifier that made the Payment/Remittance Advice; could be a Payer, Insurance Company, TPA, Drug Company.
    `void` | `setPaymentOrRemittanceAdviceNumber(EI objPaymentOrRemittanceAdviceNumber)` Set Retrieve Payment/Remittance Advice Number (EI) This field is Unique Payment/Remittance Advice number for the sending Network Application ID.
    `void` | `setPaymentOrRemittanceAdviceNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Payment/Remittance Advice Number (EI) This field is Unique Payment/Remittance Advice number for the sending Network Application ID.
    `void` | `setPaymentOrRemittanceAmount(CP objPaymentOrRemittanceAmount)` Set Payment/Remittance Amount (CP) This field is about Sum total of all Product/Service Paid Amount on PSL for this Payment/Remittance Advice, net of any Adjustments to Payee.
    `void` | `setPaymentOrRemittanceAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Payment/Remittance Amount (CP) This field is about Sum total of all Product/Service Paid Amount on PSL for this Payment/Remittance Advice, net of any Adjustments to Payee.
    `void` | `setPaymentOrRemittanceDateOrTime(DTM objPaymentOrRemittanceDateOrTime)` Set Payment/Remittance Expiration Date/Time (DTM) This field is about Date Payment/Remittance Advice was paid, which might not be the same as Date/Time of Message on MSH.
    `void` | `setPaymentOrRemittanceDateOrTime(java.lang.String strPaymentOrRemittanceDateOrTime)` Set Payment/Remittance Date/Time (DTM) This field is about Date Payment/Remittance Advice was paid, which might not be the same as Date/Time of Message on MSH.
    `void` | `setPaymentOrRemittanceEffectiveDateOrTime(DTM objPaymentOrRemittanceEffectiveDateOrTime)` Set Payment/Remittance Effective Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
    `void` | `setPaymentOrRemittanceEffectiveDateOrTime(java.lang.String strPaymentOrRemittanceEffectiveDateOrTime)` Set Payment/Remittance Effective Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
    `void` | `setPaymentOrRemittanceExpirationDateOrTime(DTM objPaymentOrRemittanceExpirationDateOrTime)` Set Payment/Remittance Expiration Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
    `void` | `setPaymentOrRemittanceExpirationDateOrTime(java.lang.String strPaymentOrRemittanceExpirationDateOrTime)` Set Payment/Remittance Expiration Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PMT

          public PMT()

      Constructs the PMT segment.

  - ### Method Detail

    - #### getPaymentOrRemittanceAdviceNumber

          public EI getPaymentOrRemittanceAdviceNumber()

      Retrieve Payment/Remittance Advice Number (EI) This field is Unique Payment/Remittance Advice number for the sending Network Application ID.
      Returns:
        EI - object of Payment/Remittance Advice Number.

    - #### setPaymentOrRemittanceAdviceNumber

          public void setPaymentOrRemittanceAdviceNumber(java.lang.String strEntityIdentifier,
                                                java.lang.String strNamespaceID,
                                                java.lang.String strUniversalID,
                                                java.lang.String strUniversalIDType)

      Set Retrieve Payment/Remittance Advice Number (EI) This field is Unique Payment/Remittance Advice number for the sending Network Application ID.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setPaymentOrRemittanceAdviceNumber

          public void setPaymentOrRemittanceAdviceNumber(EI objPaymentOrRemittanceAdviceNumber)

      Set Retrieve Payment/Remittance Advice Number (EI) This field is Unique Payment/Remittance Advice number for the sending Network Application ID.
      Parameters:
        `objPaymentOrRemittanceAdviceNumber` - - object of Payment/Remittance Advice Number.

    - #### getPaymentOrRemittanceEffectiveDateOrTime

          public DTM getPaymentOrRemittanceEffectiveDateOrTime()

      Retrieve Payment/Remittance Effective Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
      Returns:
        DTM - object of Payment/Remittance Effective Date/Time.

    - #### setPaymentOrRemittanceEffectiveDateOrTime

          public void setPaymentOrRemittanceEffectiveDateOrTime(java.lang.String strPaymentOrRemittanceEffectiveDateOrTime)

      Set Payment/Remittance Effective Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
      Parameters:
        `strPaymentOrRemittanceEffectiveDateOrTime` - - string of Payment/Remittance Effective Date/Time.

    - #### setPaymentOrRemittanceEffectiveDateOrTime

          public void setPaymentOrRemittanceEffectiveDateOrTime(DTM objPaymentOrRemittanceEffectiveDateOrTime)

      Set Payment/Remittance Effective Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
      Parameters:
        `objPaymentOrRemittanceEffectiveDateOrTime` - - object of Payment/Remittance Effective Date/Time.

    - #### getPaymentOrRemittanceExpirationDateOrTime

          public DTM getPaymentOrRemittanceExpirationDateOrTime()

      Retrieve Payment/Remittance Expiration Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
      Returns:
        DTM - object of Payment/Remittance Expiration Date/Time.

    - #### setPaymentOrRemittanceExpirationDateOrTime

          public void setPaymentOrRemittanceExpirationDateOrTime(java.lang.String strPaymentOrRemittanceExpirationDateOrTime)

      Set Payment/Remittance Expiration Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
      Parameters:
        `strPaymentOrRemittanceExpirationDateOrTime` - - string of Payment/Remittance Expiration Date/Time.

    - #### setPaymentOrRemittanceExpirationDateOrTime

          public void setPaymentOrRemittanceExpirationDateOrTime(DTM objPaymentOrRemittanceExpirationDateOrTime)

      Set Payment/Remittance Expiration Date/Time (DTM) This field is about Date/Time for this Payment/Remittance Advice.
      Parameters:
        `objPaymentOrRemittanceExpirationDateOrTime` - - object of Payment/Remittance Expiration Date/Time.

    - #### getPaymentMethod

          public CWE getPaymentMethod()

      retrieve Payment Method (CWE) This field is about Code identifying the method for the movement of payment.
      Returns:
        CWE - object of Payment Method.

    - #### setPaymentMethod

          public void setPaymentMethod(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set Payment Method (CWE) This field is about Code identifying the method for the movement of payment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPaymentMethod

          public void setPaymentMethod(CWE objPaymentMethod)

      Set Payment Method (CWE) This field is about Code identifying the method for the movement of payment.
      Parameters:
        `objPaymentMethod` - - object of Payment Method.

    - #### getPaymentOrRemittanceDateOrTime

          public DTM getPaymentOrRemittanceDateOrTime()

      Retrieve Payment/Remittance Date/Time (DTM) This field is about Date Payment/Remittance Advice was paid, which might not be the same as Date/Time of Message on MSH.
      Returns:
        DTM - object of Payment/Remittance Date/Time.

    - #### setPaymentOrRemittanceDateOrTime

          public void setPaymentOrRemittanceDateOrTime(java.lang.String strPaymentOrRemittanceDateOrTime)

      Set Payment/Remittance Date/Time (DTM) This field is about Date Payment/Remittance Advice was paid, which might not be the same as Date/Time of Message on MSH.
      Parameters:
        `strPaymentOrRemittanceExpirationDateOrTime` - - string of Payment/Remittance Date/Time.

    - #### setPaymentOrRemittanceDateOrTime

          public void setPaymentOrRemittanceDateOrTime(DTM objPaymentOrRemittanceDateOrTime)

      Set Payment/Remittance Expiration Date/Time (DTM) This field is about Date Payment/Remittance Advice was paid, which might not be the same as Date/Time of Message on MSH.
      Parameters:
        `objPaymentOrRemittanceExpirationDateOrTime` - - object of Payment/Remittance Expiration Date/Time.

    - #### getPaymentOrRemittanceAmount

          public CP getPaymentOrRemittanceAmount()

      Retrieve Payment/Remittance Amount (CP) This field is about Sum total of all Product/Service Paid Amount on PSL for this Payment/Remittance Advice, net of any Adjustments to Payee.
      Returns:
        CP - object of Payment/Remittance Amount.

    - #### setPaymentOrRemittanceAmount

          public void setPaymentOrRemittanceAmount(MO objPrice,
                                          java.lang.String strPriceType,
                                          java.lang.String strFormValue,
                                          java.lang.String strToValue,
                                          CWE objRangeUnits,
                                          java.lang.String strRangeType)

      Set Payment/Remittance Amount (CP) This field is about Sum total of all Product/Service Paid Amount on PSL for this Payment/Remittance Advice, net of any Adjustments to Payee.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies about the Type of range.

    - #### setPaymentOrRemittanceAmount

          public void setPaymentOrRemittanceAmount(CP objPaymentOrRemittanceAmount)

      Set Payment/Remittance Amount (CP) This field is about Sum total of all Product/Service Paid Amount on PSL for this Payment/Remittance Advice, net of any Adjustments to Payee.
      Parameters:
        `objPaymentOrRemittanceAmount` - - object of Payment/Remittance Amount.

    - #### getCheckNumber

          public EI getCheckNumber()

      Retrieve Check Number (EI) This field is Unique check number from the Payer's application system.
      Returns:
        EI - object of Check Number.

    - #### setCheckNumber

          public void setCheckNumber(java.lang.String strEntityIdentifier,
                            java.lang.String strNamespaceID,
                            java.lang.String strUniversalID,
                            java.lang.String strUniversalIDType)

      Set Retrieve Check Number (EI) This field is Unique check number from the Payer's application system.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setCheckNumber

          public void setCheckNumber(EI objCheckNumber)

      Set Retrieve Check Number (EI) This field is Unique check number from the Payer's application system.
      Parameters:
        `objCheckNumber` - - object of Check Number.

    - #### getPayeeBankIdentification

          public XON getPayeeBankIdentification()

      Retrieve Payee Bank Identification (XON) This field is about Identification of Payee's financial contact, e.g., name of the bank .
      Returns:
        XON - object of Payee Bank Identification.

    - #### setPayeeBankIdentification

          public void setPayeeBankIdentification(java.lang.String strOrganizationName,
                                        CWE objOrganizationNameTypeCode,
                                        HD objAssigningAuthority,
                                        java.lang.String strIdentifierTypeCode,
                                        HD objAssigningFacility,
                                        java.lang.String strNameRepresentationCode,
                                        java.lang.String strOrganizationIdentifier)

      Set Payee Bank Identification (XON) This field is about Identification of Payee's financial contact, e.g., name of the bank .
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.8.2.

    - #### setPayeeBankIdentification

          public void setPayeeBankIdentification(XON objPayeeBankIdentification)

      Set Payee Bank Identification (XON) This field is about Identification of Payee's financial contact, e.g., name of the bank .
      Parameters:
        `objVATRatesAppliedList` - - object of Payee Bank Identification.

    - #### getPayeeTransitNumber

          public ST getPayeeTransitNumber()

      Retrieve Payee Transit Number (ST) This field is about Personal ID of the payee used in financial transaction.
      Returns:
        ST - object of Payee Transit Number.

    - #### setPayeeTransitNumber

          public void setPayeeTransitNumber(java.lang.String strPayeeTransitNumber)

      Retrieve Payee Transit Number (ST) This field is about Personal ID of the payee used in financial transaction.
      Parameters:
        `strPayeeTransitNumber` - - object of Payee Transit Number.

    - #### setPayeeTransitNumber

          public void setPayeeTransitNumber(ST objPayeeTransitNumber)

      Retrieve Payee Transit Number (ST) This field is about Personal ID of the payee used in financial transaction.
      Parameters:
        `objPayeeTransitNumber` - - object of Payee Transit Number.

    - #### getPayeeBankAccountID

          public CX getPayeeBankAccountID()

      Retrieve Payee Bank Account ID (CX) Id of Payee's Bank account.
      Returns:
        CX - object of Payee Bank Account ID.

    - #### setPayeeBankAccountID

          public void setPayeeBankAccountID(java.lang.String strIDNumber,
                                   java.lang.String strCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepartment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set Payee Bank Account ID (CX) Id of Payee's Bank account.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setPayeeBankAccountID

          public void setPayeeBankAccountID(CX objPayeeBankAccountID)

      Set Payee Bank Account ID (CX) Id of Payee's Bank account.
      Parameters:
        `objPayeeBankAccountID` - - object of Payee Bank Account ID.

    - #### getPaymentOrganization

          public XON getPaymentOrganization()

      Retrieve Payment Organization (XON) This field is about Organization identifier that made the Payment/Remittance Advice; could be a Payer, Insurance Company, TPA, Drug Company.
      Returns:
        XON - object of Payment Organization.

    - #### setPaymentOrganization

          public void setPaymentOrganization(java.lang.String strOrganizationName,
                                    CWE objOrganizationNameTypeCode,
                                    HD objAssigningAuthority,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    java.lang.String strOrganizationIdentifier)

      Set Payment Organization (XON) This field is about Organization identifier that made the Payment/Remittance Advice; could be a Payer, Insurance Company, TPA, Drug Company.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.8.2.

    - #### setPaymentOrganization

          public void setPaymentOrganization(XON objPaymentOrganization)

      Set Payment Organization (XON) This field is about Organization identifier that made the Payment/Remittance Advice; could be a Payer, Insurance Company, TPA, Drug Company.
      Parameters:
        `objPaymentOrganization` - - object of Payment Organization.

    - #### getESR_Code_Line

          public ST getESR_Code_Line()

      Retrieve ESR-Code-Line (ST) This field is about Invoice Reference used with electronic banking methods.
      Returns:
        ST - object of ESR-Code-Line.

    - #### setESR_Code_Line

          public void setESR_Code_Line(java.lang.String strESR_Code_Line)

      Retrieve ESR-Code-Line (ST) This field is about Invoice Reference used with electronic banking methods.
      Parameters:
        `strESR_Code_Line` - - object of ESR-Code-Line.

    - #### setESR_Code_Line

          public void setESR_Code_Line(ST objESR_Code_Line)

      Retrieve ESR-Code-Line (ST) This field is about Invoice Reference used with electronic banking methods.
      Parameters:
        `objESR_Code_Line` - - object of ESR-Code-Line.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PMT} while parsing PMT segment validate method will check for its mandatory presence. [PMT] in this case validate will throw exception if one tries to enter more than one PMT segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.